<?php
/**
 * Template Name: Account Template
 *
 * This is the user account page template
 * @package Diggify
 */

get_header(); 

if( isset( $_GET['tab'] ) ) {
  $account_page = $_GET['tab'];
}else{
  $account_page = '';
}

global $dgwork_option;
?>

  <div class="dgwork_user_nav">
    <div class="dgw-grid-<?php echo $GLOBALS['content_width'];?>">
		  <ul class="dgwork_user_dropdown">
			  <li<?php dgwork_current_item($account_page,'');?>><a href="?"><i class="fa fa-download"></i><?php esc_html_e('Downloads','dgwork');?></a></li>
			 
			  <?php if(class_exists('EDD_Recurring')):?>
			  <li<?php dgwork_current_item($account_page,'subscriptions');?>><a href="?tab=subscriptions"><i class="fa fa-recycle"></i><?php esc_html_e('Subscriptions','dgwork');?></a></li>
			  <?php endif;?>

			  <li<?php dgwork_current_item($account_page,'billing');?>><a href="?tab=billing"><i class="fa fa-file"></i><?php esc_html_e('Billing History','dgwork');?></a></li>

			  <?php if(class_exists('EDD_Wish_Lists')):?>
			  <li<?php dgwork_current_item($account_page,'wishlists');?>><a href="?tab=wishlists"><i class="fa fa-star"></i><?php esc_html_e('Wish Lists','dgwork');?></a></li>
			  <?php endif;?>

			  <?php
			  $discounts = edd_get_discounts();
			  if ( ! empty( $discounts ) && edd_has_active_discounts() ):
			  ?>
			  <li<?php dgwork_current_item($account_page,'discounts');?>><a href="?tab=discounts"><i class="fa fa-tag"></i><?php esc_html_e('Discounts','dgwork');?></a></li>
			  <?php endif; ?>

			  <?php if(class_exists('Affiliate_WP')):?>
			  <li<?php dgwork_current_item($account_page,'affiliate');?>><a href="?tab=affiliate"><i class="fa fa-share-alt"></i><?php esc_html_e('Affiliate','dgwork');?></a></li>
			  <?php endif;?>

			  <li<?php dgwork_current_item($account_page,'profile');?>><a href="?tab=profile"><i class="fa fa-user"></i><?php esc_html_e('Edit Profile','dgwork');?></a></li>

			  <?php if(class_exists('EDD_Front_End_Submissions')):?>
			  <li<?php dgwork_current_item($account_page,'seller');?>><a href="<?php echo get_permalink(EDD_FES()->helper->get_option( 'fes-vendor-dashboard-page', false ));?>"><i class="fa fa-upload"></i><?php esc_html_e('Seller Dashboard','dgwork');?></a></li>
			  <?php endif;?>

 			  <?php if ( is_user_logged_in()):?>
			  <li class="logout"><?php echo wp_loginout(home_url());?></li>
			  <?php else:?>
			  <li class="login"><a href="?"><?php esc_html_e('Login','dgwork');?></a></li>
			  <li class="register"><a href="?tab=register"><?php esc_html_e('Register','dgwork');?></a></li>
			  <?php endif;?>
		  </ul>
	</div>
	<div id="mobileMenu"></div>
  </div>
  
  <?php
	  /* Hook: dgwork_before_content, dgwork_before_main_content
	   * @Hooked: dgwork_before_content()
	   */
	  do_action('dgwork_before_content');
	?>
	  
	  <div class="account_content">
	  	  <?php if ( is_user_logged_in()):?>

		      <?php if($account_page==''|| $account_page=='downloads'):?>
				  <div id="downloads" class="tab">
				     <h2><?php esc_html_e('Downloads History','dgwork');?></h2>
				     <?php echo do_shortcode('[download_history]');?>
				  </div>
			  <?php endif;?>

			  <?php if(class_exists('EDD_Recurring') && $account_page=='subscriptions'):?>
				  <div id="subscriptions" class="tab">
				    <h2><?php esc_html_e('Subscriptions','dgwork');?></h2>
				    <?php echo do_shortcode('[edd_subscriptions]');?>
				  </div>
			  <?php endif;?>
			  
			  <?php if($account_page=='billing'):?>
			  <div id="billing" class="tab">
			    <?php 
                 if(isset($_GET['payment_id']) && $_GET['payment_id'] !== '' && !isset($_GET['license_id'])){
                 	  echo '<h2>'.esc_html__('Licenses','dgwork').'</h2>';
                      edd_get_template_part( 'licenses', 'manage-overview' );
                 }elseif(isset($_GET['license_id']) && $_GET['license_id'] != ''){
                 	  echo '<h2>'.esc_html__('Manage Licenses','dgwork').'</h2>';
                      edd_get_template_part( 'licenses', 'manage-single' );
                 }else{
                 	 echo '<h2>'.esc_html__('Billing History','dgwork').'</h2>';
			         echo do_shortcode('[purchase_history]');
                 }
			    ?>
			  </div>
			  <?php endif;?>

			  <?php if(class_exists('EDD_Wish_Lists') && $account_page=='wishlists'):?>
				  <div id="wishlists" class="tab">
				    <?php 
	                 	 echo '<h2>'.esc_html__('WishLists','dgwork').'</h2>';
				         echo do_shortcode('[edd_wish_lists]');
				    ?>
				  </div>
			  <?php endif;?>
			  
			  <?php if( $account_page == 'discounts' ): ?>
				  <h2><?php esc_html_e( 'Discounts', 'dgwork' ); ?></h2>
				  <div id="discounts" class="tab">
				    <p><?php esc_html_e( 'When you purchase our theme, the following discounts will save you a lot of money!','dgwork' );?></p>
			        <?php echo do_shortcode( '[download_discounts]' ); ?>
				  </div>
			  <?php endif; ?>

			  <?php if( class_exists( 'Affiliate_WP' ) && $account_page == 'affiliate' ): ?>
				  <h2><?php esc_html_e( 'Affiliate Dashboard','dgwork' ); ?></h2>
				  <div id="affiliate" class="tab">
			        <?php echo do_shortcode( '[affiliate_area]' ); ?>
				  </div>
			  <?php endif;?>
			  
			  <?php if( $account_page == 'profile' ): ?>
				  <h2><?php esc_html_e( 'Edit Profile', 'dgwork' ); ?></h2>
				  <div id="edit-profile">
				    <?php echo do_shortcode( '[edd_profile_editor]' );?>
				  </div>
			  <?php endif;?>

		<?php else:  

		 	  if( $account_page == 'reset-password' && $dgwork_option['builtin_password_reset'] ): ?>
				  <div id="reset-password">
				    <form id="lostpasswordform" name="lostpasswordform" method="post">
				    	<?php wp_nonce_field( 'dgwork_lost_pass', 'dgwork_nonce' ); ?>
			            <fieldset>
			            	<legend><?php esc_html_e( 'Reset Password', 'dgwork' ); ?></legend>
			                <p><?php esc_html_e( 'Please enter your username or email address. You will receive a link to create a new password via email.', 'dgwork'); ?></p>
			                <p><label for="user_login"><?php esc_html_e( 'Username or E-mail:', 'dgwork' ); ?></label>
			                    <?php $user_login = isset( $_POST['user_login'] ) ? $_POST['user_login'] : ''; ?>
			                    <input type="text" name="user_login" id="user_login" value="<?php echo $user_login; ?>" /></p>
			                <p>
			                    <input type="hidden" name="action" value="reset" />
			                    <input type="submit" value="<?php esc_html_e( 'Get New Password','dgwork' ); ?>" class="button" id="submit" />
			                </p>

			            <?php
				        global $wpdb;
				        
				        $error = '';
				        $success = '';
				        
				        // check if we're in reset form
						if ( isset( $_POST['dgwork_nonce'] ) && wp_verify_nonce( $_POST['dgwork_nonce'], 'dgwork_lost_pass' ) ) {
					        if( isset( $_POST['action'] ) && 'reset' == $_POST['action'] ) 
					        {
					            $login     = trim( wp_unslash( $_POST['user_login'] ) );
					            $user_data = get_user_by( 'login', $login );

					            if ( is_multisite() ) {
									$site_name = get_network()->site_name;
								} else {
									/*
									 * The blogname option is escaped with esc_html on the way into the database
									 * in sanitize_option we want to reverse this for the plain text arena of emails.
									 */
									$site_name = wp_specialchars_decode( get_option( 'blogname' ), ENT_QUOTES );
								}

					            if( empty( $login ) ) {
					                $error = esc_html__( 'Enter a username or e-mail address.', 'dgwork' );
					            } else if( ! $user_data ) {
					                $error = esc_html__( 'Invalid username or e-mail address.', 'dgwork' );
					            } else {

					            	$user_login = $user_data->user_login;
						            $user_email = $user_data->user_email;
						            $key        = get_password_reset_key( $user_data );
			
				                    $to = $user_email;
				                    $subject = sprintf( __( '[%s] Password Reset', 'dgwork' ), $site_name );
				                    $sender = get_option('name');
				                    
				                    $message = __( 'Someone has requested a password reset for the following account:', 'dgwork' ) . "<br/><br/>";
									/* translators: %s: Site name. */
									$message .= sprintf( __( 'Site Name: %s' ), $site_name ) . "<br/>";
									/* translators: %s: User login. */
									$message .= sprintf( __( 'Username: %s' ), $user_login ) . "<br/><br/>";
									$message .= __( 'If this was a mistake, just ignore this email and nothing will happen.' ) . "<br/>";
									$message .= __( 'To reset your password, visit the following address:' ) . "<br/>";
									$message .= network_site_url( "wp-login.php?action=rp&key=$key&login=" . rawurlencode( $user_login ), 'login' ) . "<br/>";
				                    
				                    $headers[] = 'MIME-Version: 1.0' . "\r\n";
				                    $headers[] = 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
				                    $headers[] = "X-Mailer: PHP \r\n";
				                    $headers[] = 'From: '.$sender.' <'.$user_email.'>' . "\r\n";
				                    
				                    $mail = wp_mail( $to, $subject, $message, $headers );
				                    if( $mail )
				                        $success = esc_html__( 'We sent the confirmation link to your email, please check the inbox.', 'dgwork' );
					                
					            }
					            
					            if( ! empty( $error ) )
					                echo '<div class="edd-alert-error"><p class="error"><strong>ERROR:</strong> '. $error .'</p></div>';
					            
					            if( ! empty( $success ) )
					                echo '<div class="edd-success"><p class="success">'. $success .'</p></div>';
						    }
						}
					    ?>
						</fieldset> 
			        </form>
				  </div>

			  <?php elseif( $account_page == 'register' ): ?>
				  <div id="register">
				    <?php echo do_shortcode( '[edd_register redirect="'.home_url('/').'"]' ); ?>
				  </div>

			  <?php 
			  else: 
		 		echo do_shortcode( '[edd_login]' ); 
		 	  endif;

		 endif; ?>
	 </div>
	 

    <?php
	  /* Hook: dgwork_after_content
	   * @Hooked: dgwork_after_content()
	   */
	  do_action('dgwork_after_content'); 

	get_footer(); 